#!/bin/sh
# This Script downloads National Geographic Photo of the day, and sets it as desktop background (gnome, unity)
# Copyright (C) 2012 Saman Barghi - All Rights Reserved
# Permission to copy, modify, and distribute is granted under GPLv3
# Last Revised 22 May 2019
#######################

# For feh, we need display set properly
export DISPLAY=:0.0
export XAUTHORITY=/home/powellc/.Xauthority

# Choices: astrobin,natgeo,nasa
BASEDIR="$HOME/var/backgrounds/astrobin/"

# Get daily NatGeo POTD
python3 ~/.bin/get_natgeo_potd.py
python3 ~/.bin/get_astrobin_potd.py

date=$(date '+%Y-%m-%d')

#set the current image as wallpaper
feh --bg-scale $BASEDIR/$date.jpg
#link slim background to new image
rm /usr/share/slim/themes/default/background.jpg
ln -s $BASEDIR/$date.jpg /usr/share/slim/themes/default/background.jpg
echo "Background and slim wallpaper set using Astrobin PotD"


# Then grab our APOD image and store it for now
#Change directory to where the script resides.
#BASEDIR="$HOME/var/inbox/apod_photos"
#cd $BASEDIR
########################
#
## Get the APoD image from NASA
#img="$(curl https://api.nasa.gov/planetary/apod\?api_key=AdfgdnmmInYgpDMEq3ShMLKjJ7DZ7jyUcgLHWdgw | jq .hdurl | tr -d \")"
#
##check to see if there is any wallpaper to download
#if [ -n "$img" ]
#then
#	img_file=`echo $img | cut -d/ -f 7 | tr -d \"`
#	curl $img > $img_file
#	#set the current image as wallpaper
#	#feh --bg-scale $BASEDIR/$img_file
#	##link slim background to new image
#	#rm /usr/share/slim/themes/default/background.jpg
#	#ln -s $BASEDIR/$img_file /usr/share/slim/themes/default/background.jpg
#else
#	echo "No Wallpaper today"
#fi
